.select2-container .select2-selection--single {
    height: 38px !important;
    padding: 0.375rem 0.75rem;
    border: 1px solid #ced4da;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 24px; /* or adjust to center text vertically */
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 38px !important;
    top: 1px !important;
    right: 6px;
}